> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/de/powershell-commands/convertto-rdmentryxml.md).

# ConvertTo-RDMEntryXml

ConvertTo-RDMEntryXml serialisiert einen aktiven Remote Desktop Manager-Eintrag oder eine historische Version nach XML und verwendet denselben Serialisierer wie die Funktion Vergleichen des Windows-Cl

### Übersicht

Einen aktiven Eintrag oder eine historische Version in XML serialisieren

### Syntax

#### InputObject

```
ConvertTo-RDMEntryXml -InputObject <PSConnection> [-ForcePromptAnswer <DialogResult[]>]
 [<CommonParameters>]
```

#### History

```
ConvertTo-RDMEntryXml -History <PSConnectionHistory> [-ForcePromptAnswer <DialogResult[]>]
 [<CommonParameters>]
```

### Beschreibung

Einen aktiven Eintrag (von Get-RDMEntry) oder eine historische Version (von Get-RDMEntryHistory) nach XML serialisieren und denselben Serialisierer wie die Funktion Vergleichen des Windows-Clients verwenden. Der Vergleich des XML zweier Versionen oder des aktiven Eintrags mit einer Version mit Compare-Object entspricht der Schaltfläche Vergleichen im Windows-Eintragsverlauf. Datensätze gelöschter Einträge von Get-RDMDeletedEntry können nicht konvertiert werden und werden abgelehnt.

### Beispiele

#### Beispiel 1

```powershell
PS C:\> $xml = Get-RDMEntryHistory -InputObject $id | Select-Object -First 2 | ConvertTo-RDMEntryXml
        Compare-Object ($xml[0] -split "`n") ($xml[1] -split "`n")
```

Die beiden neuesten Versionen eines Eintrags vergleichen.

#### Beispiel 2

```powershell
PS C:\> $currentXml = Get-RDMEntry $id | ConvertTo-RDMEntryXml
        $currentUserName = ([xml]$currentXml).Connection.Credentials.UserName
        foreach ($version in Get-RDMEntryHistory -InputObject $id) {
            $versionUserName = ([xml]($version | ConvertTo-RDMEntryXml)).Connection.Credentials.UserName
            if ($versionUserName -eq $currentUserName) {
                continue
            }
            Compare-Object ($currentXml -split "`n") (($version | ConvertTo-RDMEntryXml) -split "`n")
            $version | Restore-RDMEntryHistory
            break
        }
```

Den aktiven Eintrag mit der letzten Version vor der Änderung seines Benutzernamens vergleichen und dann darauf zurücksetzen.

### Parameter

#### -ForcePromptAnswer

Mit Vorsicht zu verwendender Schalter. Er beantwortet automatisch Eingabeaufforderungen mit Ja/Nein-, Ja/Nein/Abbrechen- oder OK/Abbrechen-Fragen. Bei mehreren Eingabeaufforderungen können mehrere Werte an diesen Parameter übergeben werden. Hier sind die zulässigen Werte:

* Yes: Die Eingabeaufforderung annehmen. Deckt die Werte OK und Automatic ab.
* No: Die Ja/Nein/Abbrechen-Eingabeaufforderung ablehnen. "Cancel" ist die Ausweichoption, wenn keine "No"-Option vorhanden ist.
* Cancel: Die Ja/Nein/Abbrechen-Eingabeaufforderung abbrechen. "No" ist die Ausweichoption, wenn keine "Cancel"-Option vorhanden ist.

```yaml
Type: System.Windows.Forms.DialogResult[]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -History

Version, abgerufen von Get-RDMEntryHistory

```yaml
Type: RemoteDesktopManager.PowerShellModule.PSOutputObject.PSConnectionHistory
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: History
  Position: Named
  IsRequired: true
  ValueFromPipeline: true
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -InputObject

Aktiver Eintrag, abgerufen von Get-RDMEntry

```yaml
Type: RemoteDesktopManager.PowerShellModule.PSOutputObject.PSConnection
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: InputObject
  Position: Named
  IsRequired: true
  ValueFromPipeline: true
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Dieses Cmdlet unterstützt die allgemeinen Parameter: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction und -WarningVariable. Weitere Informationen finden Sie unter [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Eingaben

#### RemoteDesktopManager.PowerShellModule.PSOutputObject.PSConnection

Ein aktiver Eintrag, abgerufen von Get-RDMEntry

#### RemoteDesktopManager.PowerShellModule.PSOutputObject.PSConnectionHistory

Eine Version, abgerufen von Get-RDMEntryHistory

### Ausgaben

#### System.String

Die XML-Darstellung des Eintrags oder der Version

### Hinweise

Weitere Informationen erhalten Sie mit "Get-Help ConvertTo-RDMEntryXml -detailed". Technische Informationen erhalten Sie mit "Get-Help ConvertTo-RDMEntryXml -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/de/powershell-commands/convertto-rdmentryxml.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
